package trains.persistence.binary;
import java.io.*;
import trains.model.*;

public class WriteBinaryMap {
	private ObjectOutputStream outStream;

	
	public void create()
	{
		try{
			FileOutputStream file= new FileOutputStream("StationCities.dat");
			outStream= new ObjectOutputStream(file);
			
			outStream.writeInt(13);
			//Bologna
			City c= new City("Bologna");
			Station t=new Station("Bologna", "Centrale");
		    c.getStations().add(t);
		    t=new Station("Bologna", "Corticella");
		    c.getStations().add(t);
		    t=new Station("Bologna", "S.Ruffillo");
		    c.getStations().add(t);
		    t=new Station("Bologna", "S.Lazzaro");
		    c.getStations().add(t);
		    outStream.writeObject(c);
		    
		    // Parma
		    c= new City("Parma");
		    t=new Station("Parma", "");
		    c.getStations().add(t);
		    outStream.writeObject(c);
		    
		    // Imola
		    c= new City("Imola");
		    t=new Station("Imola", "");
		    c.getStations().add(t);
		    outStream.writeObject(c);
		    
		    // Castel San Pietro
		    c= new City("Castel S.Pietro");
		    t=new Station("Castel S.Pietro", "");
		    c.getStations().add(t);
		    outStream.writeObject(c);
		    
		    // Castelbolognese
		    c= new City("Castelbolognese");
		    t=new Station("Castelbolognese", "");
		    c.getStations().add(t);
		    outStream.writeObject(c);
		    
		    // Faenza
		    c= new City("Faenza");
		    t=new Station("Faenza", "");
		    c.getStations().add(t);
		    outStream.writeObject(c);
		    
		    // Forl
		    c= new City("Forli");
		    t=new Station("Forli", "");
		    c.getStations().add(t);
		    outStream.writeObject(c);	    
		    
		    // Cesena
		    c= new City("Cesena");
		    t=new Station("Cesena", "");
		    c.getStations().add(t);
		    outStream.writeObject(c);

		    
		    //Firenze	    
		    c= new City("Firenze");
			t=new Station("Firenze", "S.M.N");
		    c.getStations().add(t);
		    t=new Station("Firenze", "Rifredi");
		    c.getStations().add(t);
		    t=new Station("Firenze", "Statuto");
		    c.getStations().add(t);
		    t=new Station("Firenze", "C.M.");
		    c.getStations().add(t);
		    outStream.writeObject(c);
		    
		    //Rimini
		    c= new City("Rimini");
			t=new Station("Rimini", "");
		    c.getStations().add(t);
		    t=new Station("Rimini", "Miramare");
		    c.getStations().add(t);
		    outStream.writeObject(c);
		    
		    // Ferrara
		    c= new City("Ferrara");
		    t=new Station("Ferrara", "");
		    c.getStations().add(t);
		    outStream.writeObject(c);
		    
		  //Venezia
		    c= new City("Venezia");
			t=new Station("Venezia", "S.Lucia");
		    c.getStations().add(t);
		    t=new Station("Venezia", "Carpen");
		    c.getStations().add(t);
		    t=new Station("Venezia", "Marghera");
		    c.getStations().add(t);
		    t=new Station("Venezia", "Marittima");
		    c.getStations().add(t);
		    t=new Station("Venezia", "Mestre");
		    c.getStations().add(t);
		    outStream.writeObject(c);
		    
		    //Milano
		    c= new City("Milano");
			t=new Station("Milano", "Centrale");
		    c.getStations().add(t);
		    t=new Station("Milano", "Certosa");
		    c.getStations().add(t);
		    t=new Station("Milano", "Lambrate");
		    c.getStations().add(t);
		    t=new Station("Milano", "N.Cadorna");
		    c.getStations().add(t);
		    t=new Station("Milano", "P.Garibaldi");
		    c.getStations().add(t);
		    t=new Station("Milano", "Rogoredo");
		    c.getStations().add(t);
		    outStream.writeObject(c);
		    
		    outStream.close();
		}
		catch(IOException e){e.printStackTrace();}
		
		
		
	}
	

}
